# PSF-LoginServer - master - net.psforever.objects.equipment.EffectTarget.Validation
PSF - LoginServer - master - net.psforever.objects.equipment.EffectTarget.Validation
Keywords: PSF LoginServer master net.psforever.objects.equipment.EffectTarget.Validation

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package equipment
  Definition Classes
    objects
-  object EffectTarget
  Definition Classes
    equipment
- Category
- Validation

o

net.psforever.objects.equipment.EffectTarget

# Validation

###

#### object Validation

Source
  EffectTarget.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Validation
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Value = (PlanetSideGameObject) => Boolean

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def AMS(target: PlanetSideGameObject): Boolean
5.  def Aircraft(target: PlanetSideGameObject): Boolean
6.  def AncientVehicleWeaponRecharge(target: PlanetSideGameObject): Boolean
7.  def HealthCrystal(target: PlanetSideGameObject): Boolean
8.  def Invalid(target: PlanetSideGameObject): Boolean
9.  def Medical(target: PlanetSideGameObject): Boolean
10.  def MotionSensor(target: PlanetSideGameObject): Boolean
11.  def PadLanding(target: PlanetSideGameObject): Boolean
12.  def Player(target: PlanetSideGameObject): Boolean
13.  def RepairSilo(target: PlanetSideGameObject): Boolean
14.  def Spitfire(target: PlanetSideGameObject): Boolean
15.  def Turret(target: PlanetSideGameObject): Boolean
16.  def Vehicle(target: PlanetSideGameObject): Boolean
17.  def VehicleNotAMS(target: PlanetSideGameObject): Boolean
18.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
19.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
20.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
22.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
23.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
30.  def toString(): String
    Definition Classes
      AnyRef → Any
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped